VISCADICTIONARY = {
    "ExposureSettings": {
        "exposureMode": {
            "cmd": "04 39 pp",
            "type": "setWithValue",
            "tip": "Imposta la modalit\u00c3\u00a0 di esposizione",
            "allowed_values": [
                0,
                3,
                10,
                11
            ],
            "inquire": "04 39",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_exposureMode"
        },
        "irisReset": {
            "cmd": "04 0B 00",
            "type": "setNoValue",
            "tip": "Resetta l'iris al valore predefinito (F2.0)",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_iris"
        },
        "irisUp": {
            "cmd": "04 0B 02",
            "type": "setNoValue",
            "tip": "Aumenta l'apertura dell'iris",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_iris"
        },
        "irisDown": {
            "cmd": "04 0B 03",
            "type": "setNoValue",
            "tip": "Diminuisce l'apertura dell'iris",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_iris"
        },
        "irisValue": {
            "cmd": "04 4B 00 00 pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente l'apertura dell'iris",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20
            ],
            "inquire": "04 4B",
            "reply_format": "00 00 pp",
            "placeholder": [
                "pp"
            ],
            "state": "_iris"
        },
        "gainReset": {
            "cmd": "04 0C 00",
            "type": "setNoValue",
            "tip": "Resetta il guadagno (0 dB)",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_gain"
        },
        "gainUp": {
            "cmd": "04 0C 02",
            "type": "setNoValue",
            "tip": "Aumenta il guadagno",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_gain"
        },
        "gainDown": {
            "cmd": "04 0C 03",
            "type": "setNoValue",
            "tip": "Diminuisce il guadagno",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_gain"
        },
        "gainValue": {
            "cmd": "04 4C 00 00 pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente il guadagno",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15
            ],
            "inquire": "04 4C",
            "reply_format": "00 00 pp",
            "placeholder": [
                "pp"
            ],
            "state": "_gain"
        },
        "gainLimitValue": {
            "cmd": "04 2C pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente il limite del guadagno",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15
            ],
            "inquire": "04 2C",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_gain_limit_value"
        },
        "gainPointMode": {
            "cmd": "05 0C pp",
            "type": "setWithValue",
            "tip": "Imposta la modalit\u00c3\u00a0 del punto guadagno on/off",
            "allowed_values": [
                2,
                3
            ],
            "inquire": "05 0C",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_gain_point_mode"
        },
        "gainPointValue": {
            "cmd": "01 05 4C pp",
            "type": "setWithValue",
            "tip": "Imposta il valore del punto guadagno",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15
            ],
            "inquire": "05 4C",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_gain_point_value"
        },
        "shutterReset": {
            "cmd": "04 0A 00",
            "type": "setNoValue",
            "tip": "Resetta lo shutter al valore predefinito",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_shutter"
        },
        "shutterUp": {
            "cmd": "04 0A 02",
            "type": "setNoValue",
            "tip": "Aumenta la velocit\u00c3\u00a0 dell'otturatore (shutter)",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30
            ],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_shutter"
        },
        "shutterDown": {
            "cmd": "04 0A 03",
            "type": "setNoValue",
            "tip": "Diminuisce la velocit\u00c3\u00a0 dell'otturatore",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30
            ],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_shutter"
        },
        "shutterValue": {
            "cmd": "04 4A 00 00 pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente il valore dello shutter",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30
            ],
            "inquire": "04 4A",
            "reply_format": "00 00 pp",
            "placeholder": [
                "pp"
            ],
            "state": "_shutter"
        },
        "maxShutterValue": {
            "cmd": "05 2A 00 pp",
            "type": "setWithValue",
            "tip": "Imposta il valore massimo dello shutter",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30
            ],
            "inquire": "05 2A 00",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_max_shutter_value"
        },
        "minShutterValue": {
            "cmd": "05 2A 01 pp",
            "type": "setWithValue",
            "tip": "Imposta il valore minimo dello shutter",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30
            ],
            "inquire": "05 2A 01",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_min_shutter_value"
        },
        "autoSlowShutterMode": {
            "cmd": "04 5A pp",
            "type": "setWithValue",
            "tip": "Imposta lo slow shutter automatico",
            "allowed_values": [
                2,
                3
            ],
            "inquire": "04 5A",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_auto_slow_shutter_mode"
        },
        "aeSpeedValue": {
            "cmd": "04 5D pp",
            "type": "setWithValue",
            "tip": "Imposta la velocit\u00c3\u00a0 dell'esposizione automatica",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30
            ],
            "inquire": "04 5A",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_ae_speed_value"
        },
        "expCompMode": {
            "cmd": "04 3E pp",
            "type": "setWithValue",
            "tip": "Abilita o disabilita la compensazione esposizione",
            "allowed_values": [
                2,
                3
            ],
            "inquire": "04 3E",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_exp_comp_mode"
        },
        "expCompValue": {
            "cmd": "04 4E 00 00 pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente il valore della compensazione esposizione",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7
            ],
            "inquire": "04 4E",
            "reply_format": "00 00 pp pp",
            "placeholder": [
                "pp"
            ],
            "state": "_exp_comp_value"
        },
        "expCompReset": {
            "cmd": "04 0E 00",
            "type": "setNoValue",
            "tip": "Resetta la compensazione esposizione al valore predefinito",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_exp_comp_value"
        },
        "expCompUp": {
            "cmd": "04 0E 02",
            "type": "setNoValue",
            "tip": "Aumenta il valore della compensazione esposizione",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_exp_comp_value"
        },
        "expCompDown": {
            "cmd": "04 0E 03",
            "type": "setNoValue",
            "tip": "Diminuisce il valore della compensazione esposizione",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_exp_comp_value"
        },
        "backlightMode": {
            "cmd": "04 33 pp",
            "type": "setWithValue",
            "tip": "Abilita o disabilita il backlight",
            "allowed_values": [
                2,
                3
            ],
            "inquire": "04 33",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_backlight_mode"
        },
        "spotlightMode": {
            "cmd": "04 3A pp",
            "type": "setWithValue",
            "tip": "Abilita o disabilita lo spotlight",
            "allowed_values": [
                2,
                3
            ],
            "inquire": "04 3A",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_spotlight_mode"
        },
        "visibilityEnhancerMode": {
            "cmd": "04 3D pp",
            "type": "setWithValue",
            "tip": "Abilita o disabilita il Visibility Enhancer",
            "allowed_values": [
                6,
                3
            ],
            "inquire": "04 3D",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_visibility_enhancer_mode"
        },
        "visibilityEnhancerValues": {
            "cmd": "04 2D 00 00 pp qq rr 00 00 00 00 FF",
            "type": "setWithValues",
            "tip": "Imposta il livello, la compensazione e la luminosit\u00c3\u00a0 del Visibility Enhancer",
            "allowed_values": {
                "effect_level": [
                    0,
                    1,
                    2,
                    3,
                    4,
                    5,
                    6
                ],
                "brightness_compensation": [
                    0,
                    1,
                    2,
                    3
                ],
                "compensation_level": [
                    0,
                    1,
                    2
                ]
            },
            "placeholder": [
                "pp",
                "qq",
                "rr"
            ],
            "inquire": "04 2D",
            "reply_format": "00 00 pp qq rr 00 00 00 00",
            "state": "_visibility_enhancer_values"
        },
        "lowLightBiasMode": {
            "cmd": "05 39 pp",
            "type": "setWithValue",
            "tip": "Abilita o disabilita il Low Light Basis Brightness",
            "allowed_values": [
                2,
                3
            ],
            "inquire": "05 39",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_low_light_bias_mode"
        },
        "lowLightBiasValue": {
            "cmd": "05 49 pp",
            "type": "setWithValue",
            "tip": "Imposta il livello del Low Light Basis Brightness",
            "allowed_values": [
                "04",
                "05",
                "06",
                "07",
                "08",
                "09",
                "0A"
            ],
            "inquire": "05 49",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_low_light_bias_value"
        },
        "highSensitivityMode": {
            "cmd": "05 3A pp",
            "type": "setWithValue",
            "tip": "Abilita o disabilita la modalit\u00c3\u00a0 di alta sensibilit\u00c3\u00a0",
            "allowed_values": [
                2,
                3
            ],
            "inquire": "05 3A",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_high_sensitivity_mode"
        }
    },
    "ColorSettings": {
        "whiteBalanceMode": {
            "cmd": "04 35 pp",
            "type": "setWithValue",
            "tip": "Imposta la modalit\u00c3\u00a0 del bilanciamento del bianco",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5
            ],
            "inquire": "04 35",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_whiteBalanceMode"
        },
        "onePushTrigger": {
            "cmd": "04 10 05",
            "type": "setNoValue",
            "tip": "Esegue il One Push WB Trigger",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_onePushTrigger"
        },
        "rGainReset": {
            "cmd": "04 03 00",
            "type": "setNoValue",
            "tip": "Resetta il Red Gain al valore 80 (0)",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_rGain"
        },
        "rGainUp": {
            "cmd": "04 03 02",
            "type": "setNoValue",
            "tip": "Aumenta il Red Gain",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_rGain"
        },
        "rGainDown": {
            "cmd": "04 03 03",
            "type": "setNoValue",
            "tip": "Diminuisce il Red Gain",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_rGain"
        },
        "rGainValue": {
            "cmd": "04 43 00 00 pp pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente il valore del Red Gain",
            "allowed_values": [
                -128,
                -127,
                -126,
                -125,
                -124,
                -123,
                -122,
                -121,
                -120,
                -119,
                -118,
                -117,
                -116,
                -115,
                -114,
                -113,
                -112,
                -111,
                -110,
                -109,
                -108,
                -107,
                -106,
                -105,
                -104,
                -103,
                -102,
                -101,
                -100,
                -99,
                -98,
                -97,
                -96,
                -95,
                -94,
                -93,
                -92,
                -91,
                -90,
                -89,
                -88,
                -87,
                -86,
                -85,
                -84,
                -83,
                -82,
                -81,
                -80,
                -79,
                -78,
                -77,
                -76,
                -75,
                -74,
                -73,
                -72,
                -71,
                -70,
                -69,
                -68,
                -67,
                -66,
                -65,
                -64,
                -63,
                -62,
                -61,
                -60,
                -59,
                -58,
                -57,
                -56,
                -55,
                -54,
                -53,
                -52,
                -51,
                -50,
                -49,
                -48,
                -47,
                -46,
                -45,
                -44,
                -43,
                -42,
                -41,
                -40,
                -39,
                -38,
                -37,
                -36,
                -35,
                -34,
                -33,
                -32,
                -31,
                -30,
                -29,
                -28,
                -27,
                -26,
                -25,
                -24,
                -23,
                -22,
                -21,
                -20,
                -19,
                -18,
                -17,
                -16,
                -15,
                -14,
                -13,
                -12,
                -11,
                -10,
                -9,
                -8,
                -7,
                -6,
                -5,
                -4,
                -3,
                -2,
                -1,
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30,
                31,
                32,
                33,
                34,
                35,
                36,
                37,
                38,
                39,
                40,
                41,
                42,
                43,
                44,
                45,
                46,
                47,
                48,
                49,
                50,
                51,
                52,
                53,
                54,
                55,
                56,
                57,
                58,
                59,
                60,
                61,
                62,
                63,
                64,
                65,
                66,
                67,
                68,
                69,
                70,
                71,
                72,
                73,
                74,
                75,
                76,
                77,
                78,
                79,
                80,
                81,
                82,
                83,
                84,
                85,
                86,
                87,
                88,
                89,
                90,
                91,
                92,
                93,
                94,
                95,
                96,
                97,
                98,
                99,
                100,
                101,
                102,
                103,
                104,
                105,
                106,
                107,
                108,
                109,
                110,
                111,
                112,
                113,
                114,
                115,
                116,
                117,
                118,
                119,
                120,
                121,
                122,
                123,
                124,
                125,
                126,
                127
            ],
            "inquire": "04 43",
            "reply_format": "pp pp",
            "placeholder": [
                "pp"
            ],
            "state": "_rGainValue"
        },
        "bGainReset": {
            "cmd": "04 04 00",
            "type": "setNoValue",
            "tip": "Resetta il Blue Gain al valore 80 (0)",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_bGain"
        },
        "bGainUp": {
            "cmd": "04 04 02",
            "type": "setNoValue",
            "tip": "Aumenta il Blue Gain",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_bGain"
        },
        "bGainDown": {
            "cmd": "04 04 03",
            "type": "setNoValue",
            "tip": "Diminuisce il Blue Gain",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_bGain"
        },
        "bGainValue": {
            "cmd": "04 44 00 00 pp pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente il valore del Blue Gain",
            "allowed_values": [
                -128,
                -127,
                -126,
                -125,
                -124,
                -123,
                -122,
                -121,
                -120,
                -119,
                -118,
                -117,
                -116,
                -115,
                -114,
                -113,
                -112,
                -111,
                -110,
                -109,
                -108,
                -107,
                -106,
                -105,
                -104,
                -103,
                -102,
                -101,
                -100,
                -99,
                -98,
                -97,
                -96,
                -95,
                -94,
                -93,
                -92,
                -91,
                -90,
                -89,
                -88,
                -87,
                -86,
                -85,
                -84,
                -83,
                -82,
                -81,
                -80,
                -79,
                -78,
                -77,
                -76,
                -75,
                -74,
                -73,
                -72,
                -71,
                -70,
                -69,
                -68,
                -67,
                -66,
                -65,
                -64,
                -63,
                -62,
                -61,
                -60,
                -59,
                -58,
                -57,
                -56,
                -55,
                -54,
                -53,
                -52,
                -51,
                -50,
                -49,
                -48,
                -47,
                -46,
                -45,
                -44,
                -43,
                -42,
                -41,
                -40,
                -39,
                -38,
                -37,
                -36,
                -35,
                -34,
                -33,
                -32,
                -31,
                -30,
                -29,
                -28,
                -27,
                -26,
                -25,
                -24,
                -23,
                -22,
                -21,
                -20,
                -19,
                -18,
                -17,
                -16,
                -15,
                -14,
                -13,
                -12,
                -11,
                -10,
                -9,
                -8,
                -7,
                -6,
                -5,
                -4,
                -3,
                -2,
                -1,
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30,
                31,
                32,
                33,
                34,
                35,
                36,
                37,
                38,
                39,
                40,
                41,
                42,
                43,
                44,
                45,
                46,
                47,
                48,
                49,
                50,
                51,
                52,
                53,
                54,
                55,
                56,
                57,
                58,
                59,
                60,
                61,
                62,
                63,
                64,
                65,
                66,
                67,
                68,
                69,
                70,
                71,
                72,
                73,
                74,
                75,
                76,
                77,
                78,
                79,
                80,
                81,
                82,
                83,
                84,
                85,
                86,
                87,
                88,
                89,
                90,
                91,
                92,
                93,
                94,
                95,
                96,
                97,
                98,
                99,
                100,
                101,
                102,
                103,
                104,
                105,
                106,
                107,
                108,
                109,
                110,
                111,
                112,
                113,
                114,
                115,
                116,
                117,
                118,
                119,
                120,
                121,
                122,
                123,
                124,
                125,
                126,
                127
            ],
            "inquire": "04 44",
            "reply_format": "pp pp",
            "placeholder": [
                "pp"
            ],
            "state": "_bGainValue"
        },
        "wbSpeed": {
            "cmd": "04 56 pp",
            "type": "setWithValue",
            "tip": "Imposta la velocit\u00c3\u00a0 (1 = lento, 5 = veloce)",
            "allowed_values": [
                1,
                2,
                3,
                4,
                5
            ],
            "inquire": None,
            "reply_format": "pp",
            "placeholder": [
                "p"
            ],
            "state": "_wb_speed"
        },
        "offsetValue": {
            "cmd": "7E 01 2E 01 00 pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente il valore di offset",
            "allowed_values": [
                -7,
                0,
                7
            ],
            "inquire": None,
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_offsetValue"
        },
        "chromaSuppress": {
            "cmd": "04 5F pp",
            "type": "setWithValue",
            "tip": "Imposta la soppressione cromatica",
            "allowed_values": [
                0,
                1,
                3
            ],
            "inquire": "04 5F",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_chromaSuppress"
        },
        "matrixMode": {
            "cmd": "7E 01 3D pp",
            "type": "setWithValue",
            "tip": "Seleziona il tipo di matrice",
            "allowed_values": [
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11
            ],
            "inquire": None,
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_matrixSelect"
        },
        "levelReset": {
            "cmd": "04 09 00",
            "type": "setNoValue",
            "tip": "Resetta il livello al valore predefinito (4)",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_level"
        },
        "levelUp": {
            "cmd": "04 09 02",
            "type": "setNoValue",
            "tip": "Aumenta il livello",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_level"
        },
        "levelDown": {
            "cmd": "04 09 03",
            "type": "setNoValue",
            "tip": "Diminuisce il livello",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_level"
        },
        "levelValue": {
            "cmd": "04 49 00 00 pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente il livello",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14
            ],
            "inquire": None,
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_levelValue"
        },
        "phaseReset": {
            "cmd": "04 0F 00",
            "type": "setNoValue",
            "tip": "Resetta la fase al valore predefinito (7)",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_phase"
        },
        "phaseUp": {
            "cmd": "04 0F 02",
            "type": "setNoValue",
            "tip": "Aumenta la fase",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_phase"
        },
        "phaseDown": {
            "cmd": "04 0F 03",
            "type": "setNoValue",
            "tip": "Diminuisce la fase",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_phase"
        },
        "phaseValue": {
            "cmd": "04 4F 00 00 pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente la fase",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13
            ],
            "inquire": None,
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_phaseValue"
        },
        "rGValue": {
            "cmd": "01 7E 01 7A pp pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente il valore R-B",
            "allowed_values": [
                -99,
                0,
                99
            ],
            "inquire": None,
            "reply_format": "pp pp",
            "placeholder": [
                "pp"
            ],
            "state": "_rGValue"
        },
        "rBValue": {
            "cmd": "7E 01 7B pp pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente il valore R-B",
            "allowed_values": [
                -99,
                0,
                99
            ],
            "inquire": None,
            "reply_format": "pp pp",
            "placeholder": [
                "pp"
            ],
            "state": "_rBValue"
        },
        "gRValue": {
            "cmd": "7E 01 7C pp pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente il valore G-R",
            "allowed_values": [
                -99,
                0,
                99
            ],
            "inquire": None,
            "reply_format": "pp pp",
            "placeholder": [
                "pp"
            ],
            "state": "_gRValue"
        },
        "gBValue": {
            "cmd": "7E 01 7D pp pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente il valore G-B",
            "allowed_values": [
                -99,
                0,
                99
            ],
            "inquire": None,
            "reply_format": "pp pp",
            "placeholder": [
                "pp"
            ],
            "state": "_gBValue"
        },
        "bRValue": {
            "cmd": "7E 01 7E pp pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente il valore B-R",
            "allowed_values": [
                -99,
                0,
                99
            ],
            "inquire": None,
            "reply_format": "pp pp",
            "placeholder": [
                "pp"
            ],
            "state": "_bRValue"
        },
        "bGValue": {
            "cmd": "7E 01 7F pp pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente il valore B-G",
            "allowed_values": [
                -99,
                0,
                99
            ],
            "inquire": None,
            "reply_format": "pp pp",
            "placeholder": [
                "pp"
            ],
            "state": "_bGValue"
        }
    },
    "DetailSettings": {
        "detailLevelReset": {
            "cmd": "04 42 00",
            "type": "setNoValue",
            "tip": "Resetta il livello del dettaglio al valore predefinito (7)",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_detailLevel"
        },
        "detailLevelUp": {
            "cmd": "04 42 02",
            "type": "setNoValue",
            "tip": "Aumenta il livello del dettaglio",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_detailLevel"
        },
        "detailLevelDown": {
            "cmd": "04 42 03",
            "type": "setNoValue",
            "tip": "Diminuisce il livello del dettaglio",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_detailLevel"
        },
        "detailLevelValue": {
            "cmd": "04 42 00 00 pp ",
            "type": "setWithValue",
            "tip": "Imposta direttamente il livello del dettaglio",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15
            ],
            "inquire": "04 42",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_detailLevel"
        },
        "detailMode": {
            "cmd": "05 42 01 pp",
            "type": "setWithValue",
            "tip": "Imposta la modalit\u00c3\u00a0 del dettaglio (Auto o Manuale)",
            "allowed_values": [
                0,
                1
            ],
            "inquire": "05 42 01",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_detailMode"
        },
        "detailBandwidth": {
            "cmd": "05 42 02 pp",
            "type": "setWithValue",
            "tip": "Imposta la larghezza di banda del dettaglio",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4
            ],
            "inquire": "05 42 02",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_detailBandwidth"
        },
        "detailCrispening": {
            "cmd": "05 42 03 pp",
            "type": "setWithValue",
            "tip": "Imposta il valore di crispening",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7
            ],
            "inquire": "05 42 03",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_detailCrispening"
        },
        "detailHvBalance": {
            "cmd": "05 42 04 pp",
            "type": "setWithValue",
            "tip": "Imposta il bilanciamento HV",
            "allowed_values": [
                5,
                6,
                7,
                8,
                9
            ],
            "inquire": "05 42 04",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_detailHVBalance"
        },
        "detailBwBalance": {
            "cmd": "05 42 05 pp",
            "type": "setWithValue",
            "tip": "Imposta il bilanciamento BW",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4
            ],
            "inquire": "05 42 05",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_detailBWBalance"
        },
        "detailLimit": {
            "cmd": "05 42 06 pp",
            "type": "setWithValue",
            "tip": "Imposta il limite massimo del dettaglio",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7
            ],
            "inquire": "05 42 06",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_detailLimit"
        },
        "detailHighlight": {
            "cmd": "05 42 07 pp",
            "type": "setWithValue",
            "tip": "Imposta il dettaglio delle alte luci",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4
            ],
            "inquire": "05 42 07",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_detailHighlight"
        },
        "detailSuperLow": {
            "cmd": "05 42 08 pp",
            "type": "setWithValue",
            "tip": "Imposta il livello di super low detail",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7
            ],
            "inquire": "05 42 08",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_detailSuperLow"
        }
    },
    "KneeSettings": {
        "kneeSetting": {
            "cmd": "7E 01 6D pp",
            "type": "setWithValue",
            "tip": "Abilita/disabilita il Knee Setting",
            "allowed_values": [
                2,
                3
            ],
            "inquire": "7E 01 6D",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_kneeSetting"
        },
        "kneeMode": {
            "cmd": "7E 01 54 pp",
            "type": "setWithValue",
            "tip": "Imposta la modalit\u00c3\u00a0 Knee (Auto/Manual)",
            "allowed_values": [
                0,
                4
            ],
            "inquire": "7E 01 54",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_kneeMode"
        },
        "kneeSlopeValue": {
            "cmd": "7E 01 6F pp pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente la pendenza (slope) del Knee",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14
            ],
            "inquire": "7E 01 6F",
            "reply_format": "pp pp",
            "placeholder": [
                "pp"
            ],
            "state": "_kneeSlopeValue"
        },
        "kneePointValue": {
            "cmd": "7E 01 6E pp pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente il punto Knee",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12
            ],
            "inquire": "7E 01 6E",
            "reply_format": "pp pp",
            "placeholder": [
                "pp"
            ],
            "state": "_kneePointValue"
        }
    },
    "GammaSettings": {
        "gammaSelect": {
            "cmd": "04 5B pp",
            "type": "setWithValue",
            "tip": "Seleziona il tipo di gamma",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14
            ],
            "inquire": "04 5B",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_gammaSelect"
        },
        "gammaPatternValue": {
            "cmd": "05 5B pp pp pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente il pattern gamma",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30,
                31,
                32,
                33,
                34,
                35,
                36,
                37,
                38,
                39,
                40,
                41,
                42,
                43,
                44,
                45,
                46,
                47,
                48,
                49,
                50,
                51,
                52,
                53,
                54,
                55,
                56,
                57,
                58,
                59,
                60,
                61,
                62,
                63,
                64,
                65,
                66,
                67,
                68,
                69,
                70,
                71,
                72,
                73,
                74,
                75,
                76,
                77,
                78,
                79,
                80,
                81,
                82,
                83,
                84,
                85,
                86,
                87,
                88,
                89,
                90,
                91,
                92,
                93,
                94,
                95,
                96,
                97,
                98,
                99,
                100,
                101,
                102,
                103,
                104,
                105,
                106,
                107,
                108,
                109,
                110,
                111,
                112,
                113,
                114,
                115,
                116,
                117,
                118,
                119,
                120,
                121,
                122,
                123,
                124,
                125,
                126,
                127,
                128,
                129,
                130,
                131,
                132,
                133,
                134,
                135,
                136,
                137,
                138,
                139,
                140,
                141,
                142,
                143,
                144,
                145,
                146,
                147,
                148,
                149,
                150,
                151,
                152,
                153,
                154,
                155,
                156,
                157,
                158,
                159,
                160,
                161,
                162,
                163,
                164,
                165,
                166,
                167,
                168,
                169,
                170,
                171,
                172,
                173,
                174,
                175,
                176,
                177,
                178,
                179,
                180,
                181,
                182,
                183,
                184,
                185,
                186,
                187,
                188,
                189,
                190,
                191,
                192,
                193,
                194,
                195,
                196,
                197,
                198,
                199
            ],
            "inquire": "05 5B",
            "reply_format": "pp pp pp",
            "placeholder": [
                "pp"
            ],
            "state": "_gammaPatternValue"
        },
        "gammaOffsetValue": {
            "cmd": "04 1E 00 00 00 pp qq qq",
            "type": "setWithValues",
            "tip": "Imposta direttamente l'offset gamma",
            "allowed_values": {
                "polarity": [
                    0,
                    1
                ],
                "width": [
                    0,
                    1,
                    2,
                    3,
                    4,
                    5,
                    6,
                    7,
                    8,
                    9,
                    10,
                    11,
                    12,
                    13,
                    14,
                    15,
                    16,
                    17,
                    18,
                    19,
                    20,
                    21,
                    22,
                    23,
                    24,
                    25,
                    26,
                    27,
                    28,
                    29,
                    30,
                    31,
                    32,
                    33,
                    34,
                    35,
                    36,
                    37,
                    38,
                    39,
                    40
                ]
            },
            "inquire": "04 1E",
            "reply_format": "pp qq qq",
            "placeholder": [
                "pp",
                "qq"
            ],
            "state": "_gammaOffsetValue"
        },
        "gammaLevelValue": {
            "cmd": "7E 01 71 pp pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente il livello gamma",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14
            ],
            "inquire": "7E 01 71",
            "reply_format": "pp pp",
            "placeholder": [
                "pp"
            ],
            "state": "_gammaLevelValue"
        },
        "blackGammaLevelValue": {
            "cmd": "7E 01 72 pp pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente il livello della gamma nera",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14
            ],
            "inquire": "7E 01 72",
            "reply_format": "pp pp",
            "placeholder": [
                "pp"
            ],
            "state": "_blackGammaLevelValue"
        },
        "blackGammaRangeValue": {
            "cmd": "05 5C pp",
            "type": "setWithValue",
            "tip": "Imposta l'intervallo di correzione della gamma nera",
            "allowed_values": [
                0,
                1,
                2
            ],
            "inquire": "05 5C",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_blackGammaRangeValue"
        },
        "blackLevelReset": {
            "cmd": "7E 04 15 00",
            "type": "setNoValue",
            "tip": "Resetta il livello del nero al valore predefinito",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_blackLevel"
        },
        "blackLevelUp": {
            "cmd": "7E 04 15 02",
            "type": "setNoValue",
            "tip": "Aumenta il livello del nero",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_blackLevel"
        },
        "blackLevelDown": {
            "cmd": "7E 04 15 03",
            "type": "setNoValue",
            "tip": "Diminuisce il livello del nero",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_blackLevel"
        },
        "blackLevelValue": {
            "cmd": "7E 04 45 pp pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente il livello del nero",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30,
                31,
                32,
                33,
                34,
                35,
                36,
                37,
                38,
                39,
                40,
                41,
                42,
                43,
                44,
                45,
                46,
                47,
                48,
                49,
                50,
                51,
                52,
                53,
                54,
                55,
                56,
                57,
                58,
                59
            ],
            "inquire": "7E 04 45",
            "reply_format": "pp pp",
            "placeholder": [
                "pp"
            ],
            "state": "_blackLevelValue"
        }
    },
    "GenericsSettings": {
        "pictureProfile": {
            "cmd": "7E 04 5F pp",
            "type": "setWithValue",
            "tip": "Seleziona il profilo immagine",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4
            ],
            "inquire": "7E 04 5F",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_pictureProfile"
        },
        "flickerCancel": {
            "cmd": "04 32 pp",
            "type": "setWithValue",
            "tip": "Abilita/disabilita il Flicker Cancel",
            "allowed_values": [
                2,
                3
            ],
            "inquire": "04 32",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_flickerCancel"
        },
        "imageStabilizer": {
            "cmd": "04 34 pp",
            "type": "setWithValue",
            "tip": "Abilita/disabilita lo stabilizzatore di immagine",
            "allowed_values": [
                2,
                3
            ],
            "inquire": "04 34",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_imageStabilizer"
        },
        "defog": {
            "cmd": "04 37 pp qq",
            "type": "setWithValues",
            "tip": "Abilita/disabilita il Defog e imposta il livello",
            "allowed_values": {
                "state": [
                    2,
                    3
                ],
                "level": [
                    0,
                    1,
                    2,
                    3
                ]
            },
            "inquire": "04 37",
            "reply_format": "pp qq",
            "placeholder": [
                "pp",
                "qq"
            ],
            "state": "_defog"
        },
        "highResolution": {
            "cmd": "04 52 pp",
            "type": "setWithValue",
            "tip": "Abilita/disabilita l'alta risoluzione",
            "allowed_values": [
                2,
                3
            ],
            "inquire": "04 52",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_highResolution"
        },
        "noiseReductionLevel": {
            "cmd": "04 53 pp",
            "type": "setWithValue",
            "tip": "Imposta il livello di Noise Reduction",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6
            ],
            "inquire": "04 53",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_noiseReductionLevel"
        },
        "2d3dNr": {
            "cmd": "05 53 pp qq",
            "type": "setWithValues",
            "tip": "Imposta i livelli di 2D NR e 3D NR",
            "allowed_values": {
                "2d_nr": [
                    0,
                    1,
                    2,
                    3,
                    4,
                    5
                ],
                "3d_nr": [
                    0,
                    1,
                    2,
                    3,
                    4,
                    5
                ]
            },
            "inquire": "05 53",
            "reply_format": "pp qq",
            "placeholder": [
                "pp",
                "qq"
            ],
            "state": "_2d3dNr"
        },
        "pictureEffect": {
            "cmd": "04 63 pp",
            "type": "setWithValue",
            "tip": "Imposta l'effetto immagine",
            "allowed_values": [
                0,
                4
            ],
            "inquire": "04 63",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_pictureEffect"
        },
        "colorBar": {
            "cmd": "04 7D pp",
            "type": "setWithValue",
            "tip": "Abilita/disabilita la barra colore",
            "allowed_values": [
                2,
                3
            ],
            "inquire": "04 7D",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_colorBar"
        }
    },
    "FocusSettings": {
        "focusMode": {
            "cmd": "04 38 pp",
            "type": "setWithValue",
            "tip": "Imposta la modalit\u00c3\u00a0 di messa a fuoco (Auto/Manuale/Toggle)",
            "allowed_values": [
                2,
                3,
                10
            ],
            "inquire": "04 38",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_focusMode"
        },
        "focusStop": {
            "cmd": "04 08 00",
            "type": "setNoValue",
            "tip": "Ferma la messa a fuoco",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_focusStop"
        },
        "focusFarStandard": {
            "cmd": "04 08 02",
            "type": "setNoValue",
            "tip": "Muove la messa a fuoco verso lontano (velocit\u00c3\u00a0 standard)",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_focusFarStandard"
        },
        "focusNearStandard": {
            "cmd": "04 08 03",
            "type": "setNoValue",
            "tip": "Muove la messa a fuoco verso vicino (velocit\u00c3\u00a0 standard)",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_focusNearStandard"
        },
        "focusFarVariable": {
            "cmd": "04 08 2p",
            "type": "setWithValue",
            "tip": "Muove la messa a fuoco verso lontano con velocit\u00c3\u00a0 variabile",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7
            ],
            "inquire": None,
            "reply_format": "2p",
            "placeholder": [
                "2p"
            ],
            "state": "_focusFarVariable"
        },
        "focusNearVariable": {
            "cmd": "04 08 3p",
            "type": "setWithValue",
            "tip": "Muove la messa a fuoco verso vicino con velocit\u00c3\u00a0 variabile",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7
            ],
            "inquire": None,
            "reply_format": "3p",
            "placeholder": [
                "3p"
            ],
            "state": "_focusNearVariable"
        },
        "focusValue": {
            "cmd": "04 48 pp pp pp pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente la posizione della messa a fuoco",
            "allowed_values": [
                0,
                65535
            ],
            "inquire": "04 48",
            "reply_format": "pp pp pp pp",
            "placeholder": [
                "pp"
            ],
            "state": "_focusValue"
        },
        "focusOnePushTrigger": {
            "cmd": "04 18 01",
            "type": "setNoValue",
            "tip": "Attiva il trigger AF One Push",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_focusOnePushTrigger"
        },
        "focusInfinity": {
            "cmd": "04 18 02",
            "type": "setNoValue",
            "tip": "Imposta la messa a fuoco all'infinito",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_focusInfinity"
        },
        "focusNearLimit": {
            "cmd": "04 28 pp pp pp pp",
            "type": "setWithValue",
            "tip": "Imposta il limite di messa a fuoco pi\u00c3\u00b9 vicino",
            "allowed_values": [
                0,
                65535
            ],
            "inquire": None,
            "reply_format": "pp pp pp pp",
            "placeholder": [
                "pp"
            ],
            "state": "_focusNearLimit"
        },
        "afMode": {
            "cmd": "04 57 pp",
            "type": "setWithValue",
            "tip": "Imposta la modalit\u00c3\u00a0 Auto Focus (AF)",
            "allowed_values": [
                0,
                1,
                2
            ],
            "inquire": "04 57",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_afMode"
        },
        "afModeInterval": {
            "cmd": "04 27 pp pp qq qq",
            "type": "setWithValues",
            "tip": "Imposta l'intervallo di funzionamento AF",
            "allowed_values": {
                "af_operating_time": [
                    0,
                    255
                ],
                "af_stay_time": [
                    0,
                    255
                ]
            },
            "inquire": "04 27",
            "reply_format": "pp pp qq qq",
            "placeholder": [
                "pp",
                "qq"
            ],
            "state": "_afModeInterval"
        },
        "afSensitivity": {
            "cmd": "04 58 pp",
            "type": "setWithValue",
            "tip": "Imposta la sensibilit\u00c3\u00a0 dell'AF",
            "allowed_values": [
                2,
                3
            ],
            "inquire": "04 58",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_afSensitivity"
        },
        "irCorrection": {
            "cmd": "04 11 pp",
            "type": "setWithValue",
            "tip": "Imposta la correzione IR",
            "allowed_values": [
                0,
                1
            ],
            "inquire": "04 11",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_irCorrection"
        }
    },
    "ZoomSettings": {
        "stopZoom": {
            "cmd": "04 07 00",
            "type": "setNoValue",
            "tip": "Stop zoom",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_zoomStop"
        },
        "teleStandard": {
            "cmd": "04 07 02",
            "type": "setNoValue",
            "tip": "Tele zoom standard",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_zoomTeleStandard"
        },
        "wideStandard": {
            "cmd": "04 07 03",
            "type": "setNoValue",
            "tip": "Wide zoom standard",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_zoomWideStandard"
        },
        "teleVariable": {
            "cmd": "04 07 2p",
            "type": "setWithValue",
            "tip": "Tele zoom variabile",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7
            ],
            "inquire": None,
            "reply_format": "2p",
            "placeholder": [
                "2p"
            ],
            "state": "_zoomTeleVariable"
        },
        "wideVariable": {
            "cmd": "04 07 3p",
            "type": "setWithValue",
            "tip": "Wide zoom variabile",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7
            ],
            "inquire": None,
            "reply_format": "3p",
            "placeholder": [
                "3p"
            ],
            "state": "_zoomWideVariable"
        },
        "direct": {
            "cmd": "04 47 zz zz zz zz",
            "type": "setWithValue",
            "tip": "Set zoom diretto",
            "allowed_values": [
                0,
                3521,
                6252,
                8213,
                9620,
                10679,
                11515,
                12208,
                12812,
                13357,
                13832,
                14250,
                14620,
                14950,
                15248,
                15516,
                15761,
                15986,
                16192,
                16384,
                21846,
                24576,
                27307,
                28672,
                29492,
                30038,
                30428,
                30720,
                30948,
                31130,
                31279,
                31424
            ],
            "inquire": "04 47",
            "reply_format": "zz zz zz zz",
            "placeholder": [
                "zz"
            ],
            "state": "_zoomDirect"
        },
        "mode": {
            "cmd": "04 06 pp",
            "type": "setWithValue",
            "tip": "Set modalit\u00c3\u00a0",
            "allowed_values": [
                2,
                3,
                4
            ],
            "inquire": "04 06",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_zoomMode"
        },
        "teleConvert": {
            "cmd": "7E 04 36 pp",
            "type": "setWithValue",
            "tip": "Convertitore tele",
            "allowed_values": [
                2,
                3
            ],
            "inquire": "7E 04 36",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_zoomTeleConvert"
        },
        "digitalZoomOn": {
            "cmd": "04 06 02",
            "type": "setNoValue",
            "tip": "Attiva zoom digitale",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_digitalZoomOn"
        },
        "digitalZoomOff": {
            "cmd": "04 06 03",
            "type": "setNoValue",
            "tip": "Disattiva zoom digitale",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_digitalZoomOff"
        },
        "clearImageZoomOn": {
            "cmd": "04 06 04",
            "type": "setNoValue",
            "tip": "Attiva Clear Image Zoom",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_clearImageZoomOn"
        },
        "clearImageZoomOff": {
            "cmd": "04 06 03",
            "type": "setNoValue",
            "tip": "Disattiva Clear Image Zoom",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_clearImageZoomOff"
        }
    },
    "PanTiltSettings": {
        "panTiltDriveUp": {
            "cmd": "06 01 vv ww 03 01",
            "type": "setWithValues",
            "tip": "Muove la telecamera verso l'alto con velocit\u00c3\u00a0 pan e tilt specificata",
            "allowed_values": {
                "pan_speed": [
                    1,
                    18
                ],
                "tilt_speed": [
                    1,
                    17
                ]
            },
            "inquire": None,
            "reply_format": "vv ww",
            "placeholder": [
                "vv",
                "ww"
            ],
            "state": "_panTiltDriveUp"
        },
        "panTiltDriveDown": {
            "cmd": "06 01 vv ww 03 02",
            "type": "setWithValues",
            "tip": "Muove la telecamera verso il basso con velocit\u00c3\u00a0 pan e tilt specificata",
            "allowed_values": {
                "pan_speed": [
                    1,
                    18
                ],
                "tilt_speed": [
                    1,
                    17
                ]
            },
            "inquire": None,
            "reply_format": "vv ww",
            "placeholder": [
                "vv",
                "ww"
            ],
            "state": "_panTiltDriveDown"
        },
        "panTiltDriveLeft": {
            "cmd": "06 01 vv ww 01 03",
            "type": "setWithValues",
            "tip": "Muove la telecamera verso sinistra con velocit\u00c3\u00a0 pan e tilt specificata",
            "allowed_values": {
                "pan_speed": [
                    1,
                    18
                ],
                "tilt_speed": [
                    1,
                    17
                ]
            },
            "inquire": None,
            "reply_format": "vv ww",
            "placeholder": [
                "vv",
                "ww"
            ],
            "state": "_panTiltDriveLeft"
        },
        "panTiltDriveRight": {
            "cmd": "06 01 vv ww 02 03",
            "type": "setWithValues",
            "tip": "Muove la telecamera verso destra con velocit\u00c3\u00a0 pan e tilt specificata",
            "allowed_values": {
                "pan_speed": [
                    1,
                    18
                ],
                "tilt_speed": [
                    1,
                    17
                ]
            },
            "inquire": None,
            "reply_format": "vv ww",
            "placeholder": [
                "vv",
                "ww"
            ],
            "state": "_panTiltDriveRight"
        },
        "panTiltDriveUpLeft": {
            "cmd": "06 01 vv ww 01 01",
            "type": "setWithValues",
            "tip": "Muove la telecamera verso l'alto a sinistra con velocit\u00c3\u00a0 pan e tilt specificata",
            "allowed_values": {
                "pan_speed": [
                    1,
                    18
                ],
                "tilt_speed": [
                    1,
                    17
                ]
            },
            "inquire": None,
            "reply_format": "vv ww",
            "placeholder": [
                "vv",
                "ww"
            ],
            "state": "_panTiltDriveUpLeft"
        },
        "panTiltDriveUpRight": {
            "cmd": "06 01 vv ww 02 01",
            "type": "setWithValues",
            "tip": "Muove la telecamera verso l'alto a destra con velocit\u00c3\u00a0 pan e tilt specificata",
            "allowed_values": {
                "pan_speed": [
                    1,
                    18
                ],
                "tilt_speed": [
                    1,
                    17
                ]
            },
            "inquire": None,
            "reply_format": "vv ww",
            "placeholder": [
                "vv",
                "ww"
            ],
            "state": "_panTiltDriveUpRight"
        },
        "panTiltDriveDownLeft": {
            "cmd": "06 01 vv ww 01 02",
            "type": "setWithValues",
            "tip": "Muove la telecamera verso il basso a sinistra con velocit\u00c3\u00a0 pan e tilt specificata",
            "allowed_values": {
                "pan_speed": [
                    1,
                    18
                ],
                "tilt_speed": [
                    1,
                    17
                ]
            },
            "inquire": None,
            "reply_format": "vv ww",
            "placeholder": [
                "vv",
                "ww"
            ],
            "state": "_panTiltDriveDownLeft"
        },
        "panTiltDriveDownRight": {
            "cmd": "06 01 vv ww 02 02",
            "type": "setWithValues",
            "tip": "Muove la telecamera verso il basso a destra con velocit\u00c3\u00a0 pan e tilt specificata",
            "allowed_values": {
                "pan_speed": [
                    1,
                    18
                ],
                "tilt_speed": [
                    1,
                    17
                ]
            },
            "inquire": None,
            "reply_format": "vv ww",
            "placeholder": [
                "vv",
                "ww"
            ],
            "state": "_panTiltDriveDownRight"
        },
        "panTiltDriveStop": {
            "cmd": "06 01 vv ww 03 03",
            "type": "setWithValues",
            "tip": "Ferma il movimento di pan/tilt",
            "allowed_values": {
                "pan_speed": [
                    1,
                    18
                ],
                "tilt_speed": [
                    1,
                    17
                ]
            },
            "inquire": None,
            "reply_format": "vv ww",
            "placeholder": [
                "vv",
                "ww"
            ],
            "state": "_panTiltDriveStop"
        },
        "panTiltAbsolutePosition": {
            "cmd": "06 02 vv ww pp pp tt tt tt tt",
            "type": "setWithValues",
            "tip": "Muove la telecamera in una posizione assoluta specifica con velocit\u00c3\u00a0 pan/tilt",
            "allowed_values": {
                "pan_speed": [
                    1,
                    18
                ],
                "tilt_speed": [
                    1,
                    17
                ],
                "pan_position": [
                    "0000",
                    "FFFF"
                ],
                "tilt_position": [
                    "0000",
                    "FFFF"
                ]
            },
            "inquire": "06 12",
            "reply_format": "vv ww pp pp tt tt tt tt",
            "placeholder": [
                "vv",
                "ww",
                "pp",
                "tt"
            ],
            "state": "_panTiltAbsolutePosition"
        },
        "panTiltRelativePosition": {
            "cmd": "06 03 vv ww pp pp tt tt tt tt",
            "type": "setWithValues",
            "tip": "Muove la telecamera in una posizione relativa specifica con velocit\u00c3\u00a0 pan/tilt",
            "allowed_values": {
                "pan_speed": [
                    1,
                    18
                ],
                "tilt_speed": [
                    1,
                    17
                ],
                "pan_position": [
                    "0000",
                    "FFFF"
                ],
                "tilt_position": [
                    "0000",
                    "FFFF"
                ]
            },
            "inquire": None,
            "reply_format": "vv ww pp pp tt tt tt tt",
            "placeholder": [
                "vv",
                "ww",
                "pp",
                "tt"
            ],
            "state": "_panTiltRelativePosition"
        },
        "panTiltHome": {
            "cmd": "06 04",
            "type": "setNoValue",
            "tip": "Riporta la telecamera alla posizione Home",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_panTiltHome"
        },
        "panTiltReset": {
            "cmd": "06 05",
            "type": "setNoValue",
            "tip": "Resetta la posizione pan/tilt",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_panTiltReset"
        },
        "panTiltRampCurve": {
            "cmd": "06 31 pp",
            "type": "setWithValue",
            "tip": "Imposta il ramp curve (Sharpness)",
            "allowed_values": [
                1
            ],
            "inquire": "06 31",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_panTiltRampCurve"
        },
        "panTiltSlow": {
            "cmd": "06 44 pp",
            "type": "setWithValue",
            "tip": "Abilita/disabilita la modalit\u00c3\u00a0 Pan-Tilt Slow",
            "allowed_values": [
                2,
                3
            ],
            "inquire": "06 44",
            "reply_format": "pp",
            "placeholder": [
                "p"
            ],
            "state": "_panTiltSlow"
        },
        "panTiltLimitSet": {
            "cmd": "06 07 00 qq pp pp pp pp tt tt tt tt",
            "type": "setWithValues",
            "tip": "Imposta il limite di Pan-Tilt",
            "allowed_values": {
                "position": [
                    1,
                    0
                ]
            },
            "inquire": "06 07",
            "reply_format": "qq pp pp pp pp tt tt tt tt",
            "placeholder": [
                "qq",
                "pp",
                "tt"
            ],
            "state": "_panTiltLimitSet"
        },
        "panTiltLimitClear": {
            "cmd": "06 07 pp 07 0f 07 0f 0f 0f 0f",
            "type": "setWithValue",
            "tip": "Rimuove il limite di Pan-Tilt",
            "allowed_values": [
                0,
                1
            ],
            "inquire": "06 07",
            "reply_format": "pp 07 0f 07 0f 0f 0f 0f",
            "placeholder": [
                "pp"
            ],
            "state": "_panTiltLimitClear"
        }
    },
    "PresetSettings": {
        "presetReset": {
            "cmd": "04 3F 00 pp",
            "type": "setWithValue",
            "tip": "Resetta un preset specificato",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30,
                31,
                32,
                33,
                34,
                35,
                36,
                37,
                38,
                39,
                40,
                41,
                42,
                43,
                44,
                45,
                46,
                47,
                48,
                49,
                50,
                51,
                52,
                53,
                54,
                55,
                56,
                57,
                58,
                59,
                60,
                61,
                62,
                63
            ],
            "inquire": "04 3F FF",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_presetReset"
        },
        "presetSet": {
            "cmd": "04 3F 01 pp",
            "type": "setWithValue",
            "tip": "Salva un preset con il numero specificato",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30,
                31,
                32,
                33,
                34,
                35,
                36,
                37,
                38,
                39,
                40,
                41,
                42,
                43,
                44,
                45,
                46,
                47,
                48,
                49,
                50,
                51,
                52,
                53,
                54,
                55,
                56,
                57,
                58,
                59,
                60,
                61,
                62,
                63
            ],
            "inquire": "04 3F FF",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_presetSet"
        },
        "presetRecall": {
            "cmd": "04 3F 02 pp",
            "type": "setWithValue",
            "tip": "Richiama un preset specificato",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30,
                31,
                32,
                33,
                34,
                35,
                36,
                37,
                38,
                39,
                40,
                41,
                42,
                43,
                44,
                45,
                46,
                47,
                48,
                49,
                50,
                51,
                52,
                53,
                54,
                55,
                56,
                57,
                58,
                59,
                60,
                61,
                62,
                63
            ],
            "inquire": "04 3F FF",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_presetRecall"
        },
        "presetSpeedSelect": {
            "cmd": "7E 04 1B pp",
            "type": "setWithValue",
            "tip": "Seleziona la modalit\u00c3\u00a0 di velocit\u00c3\u00a0 per i preset",
            "allowed_values": [
                0,
                1,
                2
            ],
            "inquire": "7E 04 1B",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_presetSpeedSelect"
        },
        "presetSpeedSeparate": {
            "cmd": "7E 01 0B pp qq",
            "type": "setWithValues",
            "tip": "Imposta la velocit\u00c3\u00a0 separata per un preset",
            "allowed_values": {
                "preset_number": [
                    0,
                    1,
                    2,
                    3,
                    4,
                    5,
                    6,
                    7,
                    8,
                    9,
                    10,
                    11,
                    12,
                    13,
                    14,
                    15,
                    16,
                    17,
                    18,
                    19,
                    20,
                    21,
                    22,
                    23,
                    24,
                    25,
                    26,
                    27,
                    28,
                    29,
                    30,
                    31,
                    32,
                    33,
                    34,
                    35,
                    36,
                    37,
                    38,
                    39,
                    40,
                    41,
                    42,
                    43,
                    44,
                    45,
                    46,
                    47,
                    48,
                    49,
                    50,
                    51,
                    52,
                    53,
                    54,
                    55,
                    56,
                    57,
                    58,
                    59,
                    60,
                    61,
                    62,
                    63
                ],
                "position_speed": [
                    1,
                    2,
                    3,
                    4,
                    5,
                    6,
                    7,
                    8,
                    9,
                    10,
                    11,
                    12,
                    13,
                    14,
                    15,
                    16,
                    17,
                    18,
                    19
                ]
            },
            "inquire": "7E 01 0B",
            "reply_format": "pp qq",
            "placeholder": [
                "pp",
                "qq"
            ],
            "state": "_presetSpeedSeparate"
        },
        "presetSpeedCommon": {
            "cmd": "7E 04 1C pp",
            "type": "setWithValue",
            "tip": "Imposta la velocit\u00c3\u00a0 comune per tutti i preset",
            "allowed_values": [
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19
            ],
            "inquire": "7E 04 1C",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_presetSpeedCommon"
        },
        "presetMode": {
            "cmd": "7E 04 3D pp",
            "type": "setWithValue",
            "tip": "Imposta la modalit\u00c3\u00a0 preset",
            "allowed_values": [
                0,
                1
            ],
            "inquire": "7E 04 3D",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_presetMode"
        },
        "presetCallMode": {
            "cmd": "7E 04 3B pp",
            "type": "setWithValue",
            "tip": "Imposta il modo di richiamo del preset (Freeze o Normal)",
            "allowed_values": [
                2,
                3
            ],
            "inquire": "7E 04 3B",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_presetCallMode"
        }
    },
    "SystemSettings": {
        "systemIrReceive": {
            "cmd": "06 08 pp",
            "type": "setWithValue",
            "tip": "Abilita o disabilita l'IR Receive",
            "allowed_values": [
                2,
                3,
                10
            ],
            "inquire": None,
            "reply_format": None,
            "placeholder": [
                "pp"
            ],
            "state": "_irReceive"
        },
        "systemHPhaseUp": {
            "cmd": "7E 01 3E 00 02",
            "type": "setNoValue",
            "tip": "Aumenta la fase orizzontale",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30,
                31,
                32,
                33,
                34,
                35,
                36,
                37,
                38,
                39,
                40,
                41,
                42,
                43,
                44,
                45,
                46,
                47,
                48,
                49,
                50,
                51,
                52,
                53,
                54,
                55,
                56,
                57,
                58,
                59,
                60,
                61,
                62,
                63,
                64,
                65,
                66,
                67,
                68,
                69,
                70,
                71,
                72,
                73,
                74,
                75,
                76,
                77,
                78,
                79,
                80,
                81,
                82,
                83,
                84,
                85,
                86,
                87,
                88,
                89,
                90,
                91,
                92,
                93,
                94,
                95,
                96,
                97,
                98,
                99,
                100,
                101,
                102,
                103,
                104,
                105,
                106,
                107,
                108,
                109,
                110,
                111,
                112,
                113,
                114,
                115,
                116,
                117,
                118,
                119,
                120,
                121,
                122,
                123,
                124,
                125,
                126,
                127,
                128,
                129,
                130,
                131,
                132,
                133,
                134,
                135,
                136,
                137,
                138,
                139,
                140,
                141,
                142,
                143,
                144,
                145,
                146,
                147,
                148,
                149,
                150,
                151,
                152,
                153,
                154,
                155,
                156,
                157,
                158,
                159,
                160,
                161,
                162,
                163,
                164,
                165,
                166,
                167,
                168,
                169,
                170,
                171,
                172,
                173,
                174,
                175,
                176,
                177,
                178,
                179,
                180,
                181,
                182,
                183,
                184,
                185,
                186,
                187,
                188,
                189,
                190,
                191,
                192,
                193,
                194,
                195,
                196,
                197,
                198,
                199,
                200,
                201,
                202,
                203,
                204,
                205,
                206,
                207,
                208,
                209,
                210,
                211,
                212,
                213,
                214,
                215,
                216,
                217,
                218,
                219,
                220,
                221,
                222,
                223,
                224,
                225,
                226,
                227,
                228,
                229,
                230,
                231,
                232,
                233,
                234,
                235,
                236,
                237,
                238,
                239,
                240,
                241,
                242,
                243,
                244,
                245,
                246,
                247,
                248,
                249,
                250,
                251,
                252,
                253,
                254,
                255,
                256,
                257,
                258,
                259,
                260,
                261,
                262,
                263,
                264,
                265,
                266,
                267,
                268,
                269,
                270,
                271,
                272,
                273,
                274,
                275,
                276,
                277,
                278,
                279,
                280,
                281,
                282,
                283,
                284,
                285,
                286,
                287,
                288,
                289,
                290,
                291,
                292,
                293,
                294,
                295,
                296,
                297,
                298,
                299,
                300,
                301,
                302,
                303,
                304,
                305,
                306,
                307,
                308,
                309,
                310,
                311,
                312,
                313,
                314,
                315,
                316,
                317,
                318,
                319,
                320,
                321,
                322,
                323,
                324,
                325,
                326,
                327,
                328,
                329,
                330,
                331,
                332,
                333,
                334,
                335,
                336,
                337,
                338,
                339,
                340,
                341,
                342,
                343,
                344,
                345,
                346,
                347,
                348,
                349,
                350,
                351,
                352,
                353,
                354,
                355,
                356,
                357,
                358,
                359,
                360,
                361,
                362,
                363,
                364,
                365,
                366,
                367,
                368,
                369,
                370,
                371,
                372,
                373,
                374,
                375,
                376,
                377,
                378,
                379,
                380,
                381,
                382,
                383,
                384,
                385,
                386,
                387,
                388,
                389,
                390,
                391,
                392,
                393,
                394,
                395,
                396,
                397,
                398,
                399,
                400,
                401,
                402,
                403,
                404,
                405,
                406,
                407,
                408,
                409,
                410,
                411,
                412,
                413,
                414,
                415,
                416,
                417,
                418,
                419,
                420,
                421,
                422,
                423,
                424,
                425,
                426,
                427,
                428,
                429,
                430,
                431,
                432,
                433,
                434,
                435,
                436,
                437,
                438,
                439,
                440,
                441,
                442,
                443,
                444,
                445,
                446,
                447,
                448,
                449,
                450,
                451,
                452,
                453,
                454,
                455,
                456,
                457,
                458,
                459,
                460,
                461,
                462,
                463,
                464,
                465,
                466,
                467,
                468,
                469,
                470,
                471,
                472,
                473,
                474,
                475,
                476,
                477,
                478,
                479,
                480,
                481,
                482,
                483,
                484,
                485,
                486,
                487,
                488,
                489,
                490,
                491,
                492,
                493,
                494,
                495,
                496,
                497,
                498,
                499,
                500,
                501,
                502,
                503,
                504,
                505,
                506,
                507,
                508,
                509,
                510,
                511,
                512,
                513,
                514,
                515,
                516,
                517,
                518,
                519,
                520,
                521,
                522,
                523,
                524,
                525,
                526,
                527,
                528,
                529,
                530,
                531,
                532,
                533,
                534,
                535,
                536,
                537,
                538,
                539,
                540,
                541,
                542,
                543,
                544,
                545,
                546,
                547,
                548,
                549,
                550,
                551,
                552,
                553,
                554,
                555,
                556,
                557,
                558,
                559,
                560,
                561,
                562,
                563,
                564,
                565,
                566,
                567,
                568,
                569,
                570,
                571,
                572,
                573,
                574,
                575,
                576,
                577,
                578,
                579,
                580,
                581,
                582,
                583,
                584,
                585,
                586,
                587,
                588,
                589,
                590,
                591,
                592,
                593,
                594,
                595,
                596,
                597,
                598,
                599,
                600,
                601,
                602,
                603,
                604,
                605,
                606,
                607,
                608,
                609,
                610,
                611,
                612,
                613,
                614,
                615,
                616,
                617,
                618,
                619,
                620,
                621,
                622,
                623,
                624,
                625,
                626,
                627,
                628,
                629,
                630,
                631,
                632,
                633,
                634,
                635,
                636,
                637,
                638,
                639,
                640,
                641,
                642,
                643,
                644,
                645,
                646,
                647,
                648,
                649,
                650,
                651,
                652,
                653,
                654,
                655,
                656,
                657,
                658,
                659,
                660,
                661,
                662,
                663,
                664,
                665,
                666,
                667,
                668,
                669,
                670,
                671,
                672,
                673,
                674,
                675,
                676,
                677,
                678,
                679,
                680,
                681,
                682,
                683,
                684,
                685,
                686,
                687,
                688,
                689,
                690,
                691,
                692,
                693,
                694,
                695,
                696,
                697,
                698,
                699,
                700,
                701,
                702,
                703,
                704,
                705,
                706,
                707,
                708,
                709,
                710,
                711,
                712,
                713,
                714,
                715,
                716,
                717,
                718,
                719,
                720,
                721,
                722,
                723,
                724,
                725,
                726,
                727,
                728,
                729,
                730,
                731,
                732,
                733,
                734,
                735,
                736,
                737,
                738,
                739,
                740,
                741,
                742,
                743,
                744,
                745,
                746,
                747,
                748,
                749,
                750,
                751,
                752,
                753,
                754,
                755,
                756,
                757,
                758,
                759,
                760,
                761,
                762,
                763,
                764,
                765,
                766,
                767,
                768,
                769,
                770,
                771,
                772,
                773,
                774,
                775,
                776,
                777,
                778,
                779,
                780,
                781,
                782,
                783,
                784,
                785,
                786,
                787,
                788,
                789,
                790,
                791,
                792,
                793,
                794,
                795,
                796,
                797,
                798,
                799,
                800,
                801,
                802,
                803,
                804,
                805,
                806,
                807,
                808,
                809,
                810,
                811,
                812,
                813,
                814,
                815,
                816,
                817,
                818,
                819,
                820,
                821,
                822,
                823,
                824,
                825,
                826,
                827,
                828,
                829,
                830,
                831,
                832,
                833,
                834,
                835,
                836,
                837,
                838,
                839,
                840,
                841,
                842,
                843,
                844,
                845,
                846,
                847,
                848,
                849,
                850,
                851,
                852,
                853,
                854,
                855,
                856,
                857,
                858,
                859,
                860,
                861,
                862,
                863,
                864,
                865,
                866,
                867,
                868,
                869,
                870,
                871,
                872,
                873,
                874,
                875,
                876,
                877,
                878,
                879,
                880,
                881,
                882,
                883,
                884,
                885,
                886,
                887,
                888,
                889,
                890,
                891,
                892,
                893,
                894,
                895,
                896,
                897,
                898,
                899,
                900,
                901,
                902,
                903,
                904,
                905,
                906,
                907,
                908,
                909,
                910,
                911,
                912,
                913,
                914,
                915,
                916,
                917,
                918,
                919,
                920,
                921,
                922,
                923,
                924,
                925,
                926,
                927,
                928,
                929,
                930,
                931,
                932,
                933,
                934,
                935,
                936,
                937,
                938,
                939,
                940,
                941,
                942,
                943,
                944,
                945,
                946,
                947,
                948,
                949,
                950,
                951,
                952,
                953,
                954,
                955,
                956,
                957,
                958,
                959
            ],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_hPhase"
        },
        "systemHPhaseDown": {
            "cmd": "7E 01 3E 00 03",
            "type": "setNoValue",
            "tip": "Diminuisce la fase orizzontale",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30,
                31,
                32,
                33,
                34,
                35,
                36,
                37,
                38,
                39,
                40,
                41,
                42,
                43,
                44,
                45,
                46,
                47,
                48,
                49,
                50,
                51,
                52,
                53,
                54,
                55,
                56,
                57,
                58,
                59,
                60,
                61,
                62,
                63,
                64,
                65,
                66,
                67,
                68,
                69,
                70,
                71,
                72,
                73,
                74,
                75,
                76,
                77,
                78,
                79,
                80,
                81,
                82,
                83,
                84,
                85,
                86,
                87,
                88,
                89,
                90,
                91,
                92,
                93,
                94,
                95,
                96,
                97,
                98,
                99,
                100,
                101,
                102,
                103,
                104,
                105,
                106,
                107,
                108,
                109,
                110,
                111,
                112,
                113,
                114,
                115,
                116,
                117,
                118,
                119,
                120,
                121,
                122,
                123,
                124,
                125,
                126,
                127,
                128,
                129,
                130,
                131,
                132,
                133,
                134,
                135,
                136,
                137,
                138,
                139,
                140,
                141,
                142,
                143,
                144,
                145,
                146,
                147,
                148,
                149,
                150,
                151,
                152,
                153,
                154,
                155,
                156,
                157,
                158,
                159,
                160,
                161,
                162,
                163,
                164,
                165,
                166,
                167,
                168,
                169,
                170,
                171,
                172,
                173,
                174,
                175,
                176,
                177,
                178,
                179,
                180,
                181,
                182,
                183,
                184,
                185,
                186,
                187,
                188,
                189,
                190,
                191,
                192,
                193,
                194,
                195,
                196,
                197,
                198,
                199,
                200,
                201,
                202,
                203,
                204,
                205,
                206,
                207,
                208,
                209,
                210,
                211,
                212,
                213,
                214,
                215,
                216,
                217,
                218,
                219,
                220,
                221,
                222,
                223,
                224,
                225,
                226,
                227,
                228,
                229,
                230,
                231,
                232,
                233,
                234,
                235,
                236,
                237,
                238,
                239,
                240,
                241,
                242,
                243,
                244,
                245,
                246,
                247,
                248,
                249,
                250,
                251,
                252,
                253,
                254,
                255,
                256,
                257,
                258,
                259,
                260,
                261,
                262,
                263,
                264,
                265,
                266,
                267,
                268,
                269,
                270,
                271,
                272,
                273,
                274,
                275,
                276,
                277,
                278,
                279,
                280,
                281,
                282,
                283,
                284,
                285,
                286,
                287,
                288,
                289,
                290,
                291,
                292,
                293,
                294,
                295,
                296,
                297,
                298,
                299,
                300,
                301,
                302,
                303,
                304,
                305,
                306,
                307,
                308,
                309,
                310,
                311,
                312,
                313,
                314,
                315,
                316,
                317,
                318,
                319,
                320,
                321,
                322,
                323,
                324,
                325,
                326,
                327,
                328,
                329,
                330,
                331,
                332,
                333,
                334,
                335,
                336,
                337,
                338,
                339,
                340,
                341,
                342,
                343,
                344,
                345,
                346,
                347,
                348,
                349,
                350,
                351,
                352,
                353,
                354,
                355,
                356,
                357,
                358,
                359,
                360,
                361,
                362,
                363,
                364,
                365,
                366,
                367,
                368,
                369,
                370,
                371,
                372,
                373,
                374,
                375,
                376,
                377,
                378,
                379,
                380,
                381,
                382,
                383,
                384,
                385,
                386,
                387,
                388,
                389,
                390,
                391,
                392,
                393,
                394,
                395,
                396,
                397,
                398,
                399,
                400,
                401,
                402,
                403,
                404,
                405,
                406,
                407,
                408,
                409,
                410,
                411,
                412,
                413,
                414,
                415,
                416,
                417,
                418,
                419,
                420,
                421,
                422,
                423,
                424,
                425,
                426,
                427,
                428,
                429,
                430,
                431,
                432,
                433,
                434,
                435,
                436,
                437,
                438,
                439,
                440,
                441,
                442,
                443,
                444,
                445,
                446,
                447,
                448,
                449,
                450,
                451,
                452,
                453,
                454,
                455,
                456,
                457,
                458,
                459,
                460,
                461,
                462,
                463,
                464,
                465,
                466,
                467,
                468,
                469,
                470,
                471,
                472,
                473,
                474,
                475,
                476,
                477,
                478,
                479,
                480,
                481,
                482,
                483,
                484,
                485,
                486,
                487,
                488,
                489,
                490,
                491,
                492,
                493,
                494,
                495,
                496,
                497,
                498,
                499,
                500,
                501,
                502,
                503,
                504,
                505,
                506,
                507,
                508,
                509,
                510,
                511,
                512,
                513,
                514,
                515,
                516,
                517,
                518,
                519,
                520,
                521,
                522,
                523,
                524,
                525,
                526,
                527,
                528,
                529,
                530,
                531,
                532,
                533,
                534,
                535,
                536,
                537,
                538,
                539,
                540,
                541,
                542,
                543,
                544,
                545,
                546,
                547,
                548,
                549,
                550,
                551,
                552,
                553,
                554,
                555,
                556,
                557,
                558,
                559,
                560,
                561,
                562,
                563,
                564,
                565,
                566,
                567,
                568,
                569,
                570,
                571,
                572,
                573,
                574,
                575,
                576,
                577,
                578,
                579,
                580,
                581,
                582,
                583,
                584,
                585,
                586,
                587,
                588,
                589,
                590,
                591,
                592,
                593,
                594,
                595,
                596,
                597,
                598,
                599,
                600,
                601,
                602,
                603,
                604,
                605,
                606,
                607,
                608,
                609,
                610,
                611,
                612,
                613,
                614,
                615,
                616,
                617,
                618,
                619,
                620,
                621,
                622,
                623,
                624,
                625,
                626,
                627,
                628,
                629,
                630,
                631,
                632,
                633,
                634,
                635,
                636,
                637,
                638,
                639,
                640,
                641,
                642,
                643,
                644,
                645,
                646,
                647,
                648,
                649,
                650,
                651,
                652,
                653,
                654,
                655,
                656,
                657,
                658,
                659,
                660,
                661,
                662,
                663,
                664,
                665,
                666,
                667,
                668,
                669,
                670,
                671,
                672,
                673,
                674,
                675,
                676,
                677,
                678,
                679,
                680,
                681,
                682,
                683,
                684,
                685,
                686,
                687,
                688,
                689,
                690,
                691,
                692,
                693,
                694,
                695,
                696,
                697,
                698,
                699,
                700,
                701,
                702,
                703,
                704,
                705,
                706,
                707,
                708,
                709,
                710,
                711,
                712,
                713,
                714,
                715,
                716,
                717,
                718,
                719,
                720,
                721,
                722,
                723,
                724,
                725,
                726,
                727,
                728,
                729,
                730,
                731,
                732,
                733,
                734,
                735,
                736,
                737,
                738,
                739,
                740,
                741,
                742,
                743,
                744,
                745,
                746,
                747,
                748,
                749,
                750,
                751,
                752,
                753,
                754,
                755,
                756,
                757,
                758,
                759,
                760,
                761,
                762,
                763,
                764,
                765,
                766,
                767,
                768,
                769,
                770,
                771,
                772,
                773,
                774,
                775,
                776,
                777,
                778,
                779,
                780,
                781,
                782,
                783,
                784,
                785,
                786,
                787,
                788,
                789,
                790,
                791,
                792,
                793,
                794,
                795,
                796,
                797,
                798,
                799,
                800,
                801,
                802,
                803,
                804,
                805,
                806,
                807,
                808,
                809,
                810,
                811,
                812,
                813,
                814,
                815,
                816,
                817,
                818,
                819,
                820,
                821,
                822,
                823,
                824,
                825,
                826,
                827,
                828,
                829,
                830,
                831,
                832,
                833,
                834,
                835,
                836,
                837,
                838,
                839,
                840,
                841,
                842,
                843,
                844,
                845,
                846,
                847,
                848,
                849,
                850,
                851,
                852,
                853,
                854,
                855,
                856,
                857,
                858,
                859,
                860,
                861,
                862,
                863,
                864,
                865,
                866,
                867,
                868,
                869,
                870,
                871,
                872,
                873,
                874,
                875,
                876,
                877,
                878,
                879,
                880,
                881,
                882,
                883,
                884,
                885,
                886,
                887,
                888,
                889,
                890,
                891,
                892,
                893,
                894,
                895,
                896,
                897,
                898,
                899,
                900,
                901,
                902,
                903,
                904,
                905,
                906,
                907,
                908,
                909,
                910,
                911,
                912,
                913,
                914,
                915,
                916,
                917,
                918,
                919,
                920,
                921,
                922,
                923,
                924,
                925,
                926,
                927,
                928,
                929,
                930,
                931,
                932,
                933,
                934,
                935,
                936,
                937,
                938,
                939,
                940,
                941,
                942,
                943,
                944,
                945,
                946,
                947,
                948,
                949,
                950,
                951,
                952,
                953,
                954,
                955,
                956,
                957,
                958,
                959
            ],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_hPhase"
        },
        "systemHPhaseValue": {
            "cmd": "7E 01 5B 00 pp pp pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente la fase orizzontale",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30,
                31,
                32,
                33,
                34,
                35,
                36,
                37,
                38,
                39,
                40,
                41,
                42,
                43,
                44,
                45,
                46,
                47,
                48,
                49,
                50,
                51,
                52,
                53,
                54,
                55,
                56,
                57,
                58,
                59,
                60,
                61,
                62,
                63,
                64,
                65,
                66,
                67,
                68,
                69,
                70,
                71,
                72,
                73,
                74,
                75,
                76,
                77,
                78,
                79,
                80,
                81,
                82,
                83,
                84,
                85,
                86,
                87,
                88,
                89,
                90,
                91,
                92,
                93,
                94,
                95,
                96,
                97,
                98,
                99,
                100,
                101,
                102,
                103,
                104,
                105,
                106,
                107,
                108,
                109,
                110,
                111,
                112,
                113,
                114,
                115,
                116,
                117,
                118,
                119,
                120,
                121,
                122,
                123,
                124,
                125,
                126,
                127,
                128,
                129,
                130,
                131,
                132,
                133,
                134,
                135,
                136,
                137,
                138,
                139,
                140,
                141,
                142,
                143,
                144,
                145,
                146,
                147,
                148,
                149,
                150,
                151,
                152,
                153,
                154,
                155,
                156,
                157,
                158,
                159,
                160,
                161,
                162,
                163,
                164,
                165,
                166,
                167,
                168,
                169,
                170,
                171,
                172,
                173,
                174,
                175,
                176,
                177,
                178,
                179,
                180,
                181,
                182,
                183,
                184,
                185,
                186,
                187,
                188,
                189,
                190,
                191,
                192,
                193,
                194,
                195,
                196,
                197,
                198,
                199,
                200,
                201,
                202,
                203,
                204,
                205,
                206,
                207,
                208,
                209,
                210,
                211,
                212,
                213,
                214,
                215,
                216,
                217,
                218,
                219,
                220,
                221,
                222,
                223,
                224,
                225,
                226,
                227,
                228,
                229,
                230,
                231,
                232,
                233,
                234,
                235,
                236,
                237,
                238,
                239,
                240,
                241,
                242,
                243,
                244,
                245,
                246,
                247,
                248,
                249,
                250,
                251,
                252,
                253,
                254,
                255,
                256,
                257,
                258,
                259,
                260,
                261,
                262,
                263,
                264,
                265,
                266,
                267,
                268,
                269,
                270,
                271,
                272,
                273,
                274,
                275,
                276,
                277,
                278,
                279,
                280,
                281,
                282,
                283,
                284,
                285,
                286,
                287,
                288,
                289,
                290,
                291,
                292,
                293,
                294,
                295,
                296,
                297,
                298,
                299,
                300,
                301,
                302,
                303,
                304,
                305,
                306,
                307,
                308,
                309,
                310,
                311,
                312,
                313,
                314,
                315,
                316,
                317,
                318,
                319,
                320,
                321,
                322,
                323,
                324,
                325,
                326,
                327,
                328,
                329,
                330,
                331,
                332,
                333,
                334,
                335,
                336,
                337,
                338,
                339,
                340,
                341,
                342,
                343,
                344,
                345,
                346,
                347,
                348,
                349,
                350,
                351,
                352,
                353,
                354,
                355,
                356,
                357,
                358,
                359,
                360,
                361,
                362,
                363,
                364,
                365,
                366,
                367,
                368,
                369,
                370,
                371,
                372,
                373,
                374,
                375,
                376,
                377,
                378,
                379,
                380,
                381,
                382,
                383,
                384,
                385,
                386,
                387,
                388,
                389,
                390,
                391,
                392,
                393,
                394,
                395,
                396,
                397,
                398,
                399,
                400,
                401,
                402,
                403,
                404,
                405,
                406,
                407,
                408,
                409,
                410,
                411,
                412,
                413,
                414,
                415,
                416,
                417,
                418,
                419,
                420,
                421,
                422,
                423,
                424,
                425,
                426,
                427,
                428,
                429,
                430,
                431,
                432,
                433,
                434,
                435,
                436,
                437,
                438,
                439,
                440,
                441,
                442,
                443,
                444,
                445,
                446,
                447,
                448,
                449,
                450,
                451,
                452,
                453,
                454,
                455,
                456,
                457,
                458,
                459,
                460,
                461,
                462,
                463,
                464,
                465,
                466,
                467,
                468,
                469,
                470,
                471,
                472,
                473,
                474,
                475,
                476,
                477,
                478,
                479,
                480,
                481,
                482,
                483,
                484,
                485,
                486,
                487,
                488,
                489,
                490,
                491,
                492,
                493,
                494,
                495,
                496,
                497,
                498,
                499,
                500,
                501,
                502,
                503,
                504,
                505,
                506,
                507,
                508,
                509,
                510,
                511,
                512,
                513,
                514,
                515,
                516,
                517,
                518,
                519,
                520,
                521,
                522,
                523,
                524,
                525,
                526,
                527,
                528,
                529,
                530,
                531,
                532,
                533,
                534,
                535,
                536,
                537,
                538,
                539,
                540,
                541,
                542,
                543,
                544,
                545,
                546,
                547,
                548,
                549,
                550,
                551,
                552,
                553,
                554,
                555,
                556,
                557,
                558,
                559,
                560,
                561,
                562,
                563,
                564,
                565,
                566,
                567,
                568,
                569,
                570,
                571,
                572,
                573,
                574,
                575,
                576,
                577,
                578,
                579,
                580,
                581,
                582,
                583,
                584,
                585,
                586,
                587,
                588,
                589,
                590,
                591,
                592,
                593,
                594,
                595,
                596,
                597,
                598,
                599,
                600,
                601,
                602,
                603,
                604,
                605,
                606,
                607,
                608,
                609,
                610,
                611,
                612,
                613,
                614,
                615,
                616,
                617,
                618,
                619,
                620,
                621,
                622,
                623,
                624,
                625,
                626,
                627,
                628,
                629,
                630,
                631,
                632,
                633,
                634,
                635,
                636,
                637,
                638,
                639,
                640,
                641,
                642,
                643,
                644,
                645,
                646,
                647,
                648,
                649,
                650,
                651,
                652,
                653,
                654,
                655,
                656,
                657,
                658,
                659,
                660,
                661,
                662,
                663,
                664,
                665,
                666,
                667,
                668,
                669,
                670,
                671,
                672,
                673,
                674,
                675,
                676,
                677,
                678,
                679,
                680,
                681,
                682,
                683,
                684,
                685,
                686,
                687,
                688,
                689,
                690,
                691,
                692,
                693,
                694,
                695,
                696,
                697,
                698,
                699,
                700,
                701,
                702,
                703,
                704,
                705,
                706,
                707,
                708,
                709,
                710,
                711,
                712,
                713,
                714,
                715,
                716,
                717,
                718,
                719,
                720,
                721,
                722,
                723,
                724,
                725,
                726,
                727,
                728,
                729,
                730,
                731,
                732,
                733,
                734,
                735,
                736,
                737,
                738,
                739,
                740,
                741,
                742,
                743,
                744,
                745,
                746,
                747,
                748,
                749,
                750,
                751,
                752,
                753,
                754,
                755,
                756,
                757,
                758,
                759,
                760,
                761,
                762,
                763,
                764,
                765,
                766,
                767,
                768,
                769,
                770,
                771,
                772,
                773,
                774,
                775,
                776,
                777,
                778,
                779,
                780,
                781,
                782,
                783,
                784,
                785,
                786,
                787,
                788,
                789,
                790,
                791,
                792,
                793,
                794,
                795,
                796,
                797,
                798,
                799,
                800,
                801,
                802,
                803,
                804,
                805,
                806,
                807,
                808,
                809,
                810,
                811,
                812,
                813,
                814,
                815,
                816,
                817,
                818,
                819,
                820,
                821,
                822,
                823,
                824,
                825,
                826,
                827,
                828,
                829,
                830,
                831,
                832,
                833,
                834,
                835,
                836,
                837,
                838,
                839,
                840,
                841,
                842,
                843,
                844,
                845,
                846,
                847,
                848,
                849,
                850,
                851,
                852,
                853,
                854,
                855,
                856,
                857,
                858,
                859,
                860,
                861,
                862,
                863,
                864,
                865,
                866,
                867,
                868,
                869,
                870,
                871,
                872,
                873,
                874,
                875,
                876,
                877,
                878,
                879,
                880,
                881,
                882,
                883,
                884,
                885,
                886,
                887,
                888,
                889,
                890,
                891,
                892,
                893,
                894,
                895,
                896,
                897,
                898,
                899,
                900,
                901,
                902,
                903,
                904,
                905,
                906,
                907,
                908,
                909,
                910,
                911,
                912,
                913,
                914,
                915,
                916,
                917,
                918,
                919,
                920,
                921,
                922,
                923,
                924,
                925,
                926,
                927,
                928,
                929,
                930,
                931,
                932,
                933,
                934,
                935,
                936,
                937,
                938,
                939,
                940,
                941,
                942,
                943,
                944,
                945,
                946,
                947,
                948,
                949,
                950,
                951,
                952,
                953,
                954,
                955,
                956,
                957,
                958,
                959
            ],
            "inquire": "7E 01 5B",
            "reply_format": "pp pp pp",
            "placeholder": [
                "pp"
            ],
            "state": "_hPhase"
        },
        "systemImgFlip": {
            "cmd": "04 66 pp",
            "type": "setWithValue",
            "tip": "Attiva o disattiva il flip dell'immagine",
            "allowed_values": [
                2,
                3
            ],
            "inquire": None,
            "reply_format": None,
            "placeholder": [
                "pp"
            ],
            "state": "_imgFlip"
        },
        "systemCameraId": {
            "cmd": "04 22 pp pp",
            "type": "setWithValue",
            "tip": "Imposta l'ID della camera",
            "allowed_values": [
                "0000",
                "FFFF"
            ],
            "inquire": "04 22",
            "reply_format": "pp pp",
            "placeholder": [
                "pp"
            ],
            "state": "_cameraId"
        },
        "menuMode": {
            "cmd": "06 06 pp",
            "type": "setWithValue",
            "tip": "Attiva o disattiva il menu OSD",
            "allowed_values": [
                2,
                3
            ],
            "inquire": None,
            "reply_format": None,
            "placeholder": [
                "pp"
            ],
            "state": "_menuMode"
        },
        "menuEnter": {
            "cmd": "7E 01 02 00 01",
            "type": "setNoValue",
            "tip": "Invio nel menu OSD",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_menuEnter"
        },
        "irCutFilter": {
            "cmd": "04 01 pp",
            "type": "setWithValue",
            "tip": "Imposta il filtro IR",
            "allowed_values": [
                2,
                3
            ],
            "inquire": None,
            "reply_format": None,
            "placeholder": [
                "pp"
            ],
            "state": "_irCutFilter"
        },
        "tallyMode": {
            "cmd": "7E 01 0A 00 pp",
            "type": "setWithValue",
            "tip": "Attiva o disattiva la spia TALLY",
            "allowed_values": [
                2,
                3
            ],
            "inquire": None,
            "reply_format": None,
            "placeholder": [
                "pp"
            ],
            "state": "_tallyMode"
        },
        "tallyLevel": {
            "cmd": "7E 01 0A 01 pp",
            "type": "setWithValue",
            "tip": "Imposta il livello della spia TALLY",
            "allowed_values": [
                0,
                4,
                5
            ],
            "inquire": None,
            "reply_format": None,
            "placeholder": [
                "pp"
            ],
            "state": "_tallyLevel"
        },
        "hdmiColorSpace": {
            "cmd": "7E 01 03 00 pp",
            "type": "setWithValue",
            "tip": "Imposta lo spazio colore HDMI",
            "allowed_values": [
                0,
                1
            ],
            "inquire": None,
            "reply_format": None,
            "placeholder": [
                "pp"
            ],
            "state": "_hdmiColorSpace"
        },
        "powerOnStandby": {
            "cmd": "04 00 pp",
            "type": "setWithValue",
            "tip": "Accende o mette in standby il dispositivo",
            "allowed_values": [
                2,
                3
            ],
            "inquire": "04 00",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_powerState"
        },
        "systemCameraGeneration": {
            "cmd": "7E 04 30",
            "type": "inquire",
            "tip": "Interroga la generazione della camera",
            "reply_format": "y0 50 0h 0k 0m 0n 0p 0q 0r 0s 0t 0u uu 0v vv FF",
            "allowed_values": [],
            "inquire": None,
            "placeholder": [
                "p"
            ],
            "state": "_cameraGeneration"
        },
        "softwareVersionInquire": {
            "cmd": "00 02",
            "type": "inquire",
            "tip": "Interroga la versione software del dispositivo",
            "reply_format": "y0 50 pp pp qq qq rr rr 0s FF",
            "allowed_values": [],
            "inquire": None,
            "placeholder": [],
            "state": "_softwareVersion"
        }
    },
    "CustomSettings": {
        "dynamichotpixelcorrection": {
            "cmd": "04 56 pp",
            "type": "setWithValue",
            "tip": "Abilita/disabilita la correzione dei pixel bruciati",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5
            ],
            "inquire": "04 5D",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_DynamicHotPixelCorrection"
        },
        "cameraapertureReset": {
            "cmd": "04 02 00",
            "type": "setNoValue",
            "tip": "Resetta l'apertura della camera",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_CameraAperture_reset"
        },
        "cameraapertureUp": {
            "cmd": "04 02 02",
            "type": "setNoValue",
            "tip": "Apre l'apertura della camera",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_CameraAperture_Up"
        },
        "cameraapertureDown": {
            "cmd": "04 02 03",
            "type": "setNoValue",
            "tip": "Chiude l'apertura della camera",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_CameraAperture_Down"
        },
        "cameraapertureValue": {
            "cmd": "04 42 00 00 pp",
            "type": "setWithValue",
            "tip": "Imposta direttamente i parametri della nitidezza",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30,
                31,
                32,
                33,
                34,
                35,
                36,
                37,
                38,
                39,
                40,
                41,
                42,
                43,
                44,
                45,
                46,
                47,
                48,
                49,
                50,
                51,
                52,
                53,
                54,
                55,
                56,
                57,
                58,
                59,
                60,
                61,
                62,
                63,
                64,
                65,
                66,
                67,
                68,
                69,
                70,
                71,
                72,
                73,
                74,
                75,
                76,
                77,
                78,
                79,
                80,
                81,
                82,
                83,
                84,
                85,
                86,
                87,
                88,
                89,
                90,
                91,
                92,
                93,
                94,
                95,
                96,
                97,
                98,
                99,
                100,
                101,
                102,
                103,
                104,
                105,
                106,
                107,
                108,
                109,
                110,
                111,
                112,
                113,
                114,
                115,
                116,
                117,
                118,
                119,
                120,
                121,
                122,
                123,
                124,
                125,
                126,
                127,
                128,
                129,
                130,
                131,
                132,
                133,
                134,
                135,
                136,
                137,
                138,
                139,
                140,
                141,
                142,
                143,
                144,
                145,
                146,
                147,
                148,
                149,
                150,
                151,
                152,
                153,
                154,
                155,
                156,
                157,
                158,
                159,
                160,
                161,
                162,
                163,
                164,
                165,
                166,
                167,
                168,
                169,
                170,
                171,
                172,
                173,
                174,
                175,
                176,
                177,
                178,
                179,
                180,
                181,
                182,
                183,
                184,
                185,
                186,
                187,
                188,
                189,
                190,
                191,
                192,
                193,
                194,
                195,
                196,
                197,
                198,
                199,
                200,
                201,
                202,
                203,
                204,
                205,
                206,
                207,
                208,
                209,
                210,
                211,
                212,
                213,
                214,
                215,
                216,
                217,
                218,
                219,
                220,
                221,
                222,
                223,
                224,
                225,
                226,
                227,
                228,
                229,
                230,
                231,
                232,
                233,
                234,
                235,
                236,
                237,
                238,
                239,
                240,
                241,
                242,
                243,
                244,
                245,
                246,
                247,
                248,
                249,
                250,
                251,
                252,
                253,
                254,
                255
            ],
            "inquire": "04 02",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_CameraAperture_Value"
        },
        "camSettingreset": {
            "cmd": "04 A0 10",
            "type": "setNoValue",
            "tip": "Resetta le impostazioni di fabbrica della camera",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_setting_reset"
        },
        "camerabrightnessValue": {
            "cmd": "04 A1 00 00 pp",
            "type": "setWithValue",
            "tip": "Imposta il livello di luminosit\u00c3\u00a0",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10
            ],
            "inquire": "04 A1",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_brightness"
        },
        "cameracontrastValue": {
            "cmd": "04 A2 00 00 pp",
            "type": "setWithValue",
            "tip": "Imposta il livello di contrasto",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10
            ],
            "inquire": "04 A2",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_contrast"
        },
        "cameraflip": {
            "cmd": "04 A4 pp",
            "type": "setWithValue",
            "tip": "Imposta la modalit\u00c3\u00a0 di Flip video",
            "allowed_values": [
                0,
                1,
                2
            ],
            "inquire": "04 A4",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_flip"
        },
        "camAutoflip": {
            "cmd": "02 70 pp",
            "type": "setWithValue",
            "tip": "Abilita/disabilita l'autoflip",
            "allowed_values": [
                2,
                3
            ],
            "inquire": None,
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_autoflip"
        },
        "camSettingsave": {
            "cmd": "04 A5 10",
            "type": "setNoValue",
            "tip": "Salva le impostazioni correnti",
            "allowed_values": [],
            "inquire": None,
            "reply_format": None,
            "placeholder": [],
            "state": "_setting_save"
        },
        "camerairidixValue": {
            "cmd": "04 A7 00 00 pp",
            "type": "setWithValue",
            "tip": "Imposta il livello di Iridix",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30,
                31,
                32,
                33,
                34,
                35,
                36,
                37,
                38,
                39,
                40,
                41,
                42,
                43,
                44,
                45,
                46,
                47,
                48,
                49,
                50,
                51,
                52,
                53,
                54,
                55,
                56,
                57,
                58,
                59,
                60,
                61,
                62,
                63,
                64,
                65,
                66,
                67,
                68,
                69,
                70,
                71,
                72,
                73,
                74,
                75,
                76,
                77,
                78,
                79,
                80,
                81,
                82,
                83,
                84,
                85,
                86,
                87,
                88,
                89,
                90,
                91,
                92,
                93,
                94,
                95,
                96,
                97,
                98,
                99,
                100,
                101,
                102,
                103,
                104,
                105,
                106,
                107,
                108,
                109,
                110,
                111,
                112,
                113,
                114,
                115,
                116,
                117,
                118,
                119,
                120,
                121,
                122,
                123,
                124,
                125,
                126,
                127,
                128,
                129,
                130,
                131,
                132,
                133,
                134,
                135,
                136,
                137,
                138,
                139,
                140,
                141,
                142,
                143,
                144,
                145,
                146,
                147,
                148,
                149,
                150,
                151,
                152,
                153,
                154,
                155,
                156,
                157,
                158,
                159,
                160,
                161,
                162,
                163,
                164,
                165,
                166,
                167,
                168,
                169,
                170,
                171,
                172,
                173,
                174,
                175,
                176,
                177,
                178,
                179,
                180,
                181,
                182,
                183,
                184,
                185,
                186,
                187,
                188,
                189,
                190,
                191,
                192,
                193,
                194,
                195,
                196,
                197,
                198,
                199,
                200,
                201,
                202,
                203,
                204,
                205,
                206,
                207,
                208,
                209,
                210,
                211,
                212,
                213,
                214,
                215,
                216,
                217,
                218,
                219,
                220,
                221,
                222,
                223,
                224,
                225,
                226,
                227,
                228,
                229,
                230,
                231,
                232,
                233,
                234,
                235,
                236,
                237,
                238,
                239,
                240,
                241,
                242,
                243,
                244,
                245,
                246,
                247,
                248,
                249,
                250,
                251,
                252,
                253,
                254,
                255
            ],
            "inquire": "04 A7",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_iridix"
        },
        "camAwbsensitivity": {
            "cmd": "04 A9 pp",
            "type": "setWithValue",
            "tip": "Imposta la sensibilit\u00c3\u00a0 del bilanciamento automatico del bianco (AWB)",
            "allowed_values": {
                "pp": {
                    "02": "High",
                    "01": "Normal",
                    "00": "Low"
                }
            },
            "inquire": None,
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ],
            "state": "_awb_sensitivity"
        },
        "autofocuszone": {
            "cmd": "04 AA pp",
            "type": "setWithValue",
            "tip": "Imposta la zona di messa a fuoco frontale, posteriore, per riunioni, per il tracciamento educativo, per oggetti in movimento e centrale",
            "allowed_values": [
                0,
                1,
                2,
                3,
                4
            ],
            "state": "_af_zone",
            "inquire": "04 AA",
            "reply_format": "pp",
            "placeholder": [
                "pp"
            ]
        },
        "colorhueValue": {
            "cmd": "04 4F 00 00 pp",
            "type": "setWithValue",
            "tip": "Imposta la tonalit\u00c3\u00a0 colore",
            "allowed_values": [
                -14,
                -13,
                -12,
                -11,
                -10,
                -9,
                -8,
                -7,
                -6,
                -5,
                -4,
                -3,
                -2,
                -1,
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14
            ],
            "inquire": "04 4F",
            "placeholder": [
                "pp"
            ],
            "state": "_color_hue"
        },
        "pantiltMaxspeed": {
            "cmd": "0A 31 pp",
            "type": "setWithValue",
            "tip": "Abilita la velocit\u00c3\u00a0 massima del pan/tilt 2 \u00c3\u00a8 OFF 3 \u00c3\u00a8 ON",
            "allowed_values": [
                2,
                3
            ],
            "placeholder": [
                "pp"
            ],
            "state": "_pan_tilt_max_speed",
            "inquire": "0A 31"
        },
        "armMcuVersion": {
            "cmd": "09 01 03",
            "type": "setNoValue",
            "tip": "Richiede la versione dell'ARM/MCU",
            "reply_format": "HEX",
            "state": "_arm_mcu_version"
        },
        "camUvcVersion": {
            "cmd": "09 00 02",
            "type": "setNoValue",
            "tip": "Richiede la versione CAM/UVC",
            "reply_format": "HEX",
            "state": "_cam_uvc_version"
        },
        "presetspeedHorizontal": {
            "cmd": "01 03 01 qq",
            "type": "setWithValue",
            "tip": "Imposta la velocit\u00c3\u00a0 orizzontale (pan) tra preset",
            "allowed_values": [
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25
            ],
            "inquire": "01 03 01",
            "reply_format": "qq",
            "placeholder": [
                "qq"
            ],
            "state": "_preset_h_speed"
        },
        "presetspeedVertical": {
            "cmd": "01 03 02 qq",
            "type": "setWithValue",
            "tip": "Imposta la velocit\u00c3\u00a0 verticale (tilt) tra preset",
            "allowed_values": [
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21
            ],
            "inquire": "01 03 02",
            "reply_format": "qq",
            "placeholder": [
                "qq"
            ],
            "state": "_preset_v_speed"
        },
        "presetspeedZoom": {
            "cmd": "01 03 03 qq",
            "type": "setWithValue",
            "tip": "Imposta la velocit\u00c3\u00a0 dello zoom tra preset",
            "allowed_values": [
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8
            ],
            "inquire": "01 03 03",
            "reply_format": "qq",
            "placeholder": [
                "qq"
            ],
            "state": "_preset_z_speed"
        },
        "blueTuning": {
            "cmd": "0A 13 pp",
            "type": "setWithValue",
            "tip": "Regola il livello del blu mantenendo l'AWB attivo",
            "allowed_values": [
                -10,
                -9,
                -8,
                -7,
                -6,
                -5,
                -4,
                -3,
                -2,
                -1,
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10
            ],
            "placeholder": [
                "pp"
            ],
            "state": "_blue_tuning"
        },
        "redTuning": {
            "cmd": "0A 12 pp",
            "type": "setWithValue",
            "tip": "Regola il livello del rosso mantenendo l'AWB attivo",
            "allowed_values": [
                -10,
                -9,
                -8,
                -7,
                -6,
                -5,
                -4,
                -3,
                -2,
                -1,
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10
            ],
            "placeholder": [
                "pp"
            ],
            "state": "_red_tuning"
        }
    }
}